#!/usr/bin/env python
import coral ; metamodel=coral.lang.UML14
c = metamodel.Class()
m = metamodel.Model()

ok = 0
try:
    # This should throw, since 'm' is of the wrong type
    c.specialization.add(m)
except:
    ok = 1
assert(ok)
